# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-ExtUtils-Depends
Version:	0.306
Release:	1.%{__distinit}%{__distvers}
Summary:	Easily build XS extensions that depend on XS extensions
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/ExtUtils-Depends
Source0:	http://cpan.metacpan.org/authors/id/X/XA/XAOC/ExtUtils-Depends-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module tries to make it easy to build Perl extensions that use
functions and typemaps provided by other Perl extensions. This means that a
Perl extension is treated like a shared library that provides also a C and
an XS interface besides the Perl one.

%prep
%setup -q -n ExtUtils-Depends-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::Depends.3pm*

%changelog
* Mon Sep 30 2013 Paul Howarth <paul@city-fan.org> - 0.306-1
- Update to 0.306
  - Fixed typo in RT queue URL (CPAN RT#88960)

* Tue Sep  3 2013 Paul Howarth <paul@city-fan.org> - 0.305-1
- Update to 0.305
  - Makefile.PL: converted to CPAN::Meta::Spec v2
  - Updated license in RPM spec file (CPAN RT#88196)
  - Updated contact info and added git repo info to POD
  - Add comments for find_extra_libs method (CPAN RT#43900)
  - Fixed typo (CPAN RT#86572)
- This release by XAOC -> update source URL

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 0.304-1
- Import from Fedora
- Update to 0.304
  - More robust detection of gcc toolchains on Win32 (CPAN RT#62455)
  - Don't assume dlltool is called 'dlltool' on Win32+gcc - ask Config.pm
    instead (CPAN RT#62455)
- Don't need to remove empty directories from the buildroot

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.303-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.303-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.303-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.303-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Steven Pritchard <steve@kspei.com> 0.303-1
- Update to 0.303
- Update Source0 URL

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.302-5
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.302-4
- Mass rebuild with perl-5.12.0

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.302-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.302-2
- Rebuild against perl 5.10.1

* Fri Jul 31 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.302-1
- Auto-update to 0.302 (by cpan-spec-update 0.01)
- Added a new br on perl(Data::Dumper) (version 0)
- Added a new br on perl(File::Spec) (version 0)
- Added a new br on perl(IO::File) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.301-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.301-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 12 2008 Steven Pritchard <steve@kspei.com> 0.301-1
- Update to 0.301

* Thu May 15 2008 Steven Pritchard <steve@kspei.com> 0.300-1
- Update to 0.300
- Clean up to match cpanspec output
- Fix find option order
- Use fixperms macro instead of our own chmod incantation
- Update Source0 URL
- BR Test::More

* Tue Feb  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.205-6
- Rebuild for new Perl

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.205-5.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Fri Sep  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-5
- Rebuild for FC6

* Wed Feb 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-4
- Rebuild for FC5 (perl 5.8.8)

* Thu Dec 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.205-3
- Dist tag

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.205-2
- Rebuilt

* Tue Feb 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.205-1
- Update to 0.205

* Sun Oct  3 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.204-0.fdr.1
- Update to 0.204

* Sun Jul 18 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.202-0.fdr.1
- First build
